#pragma once

#include "CoreMinimal.h"
#include "GenericGraphNode.h"
#include "DialogueChoiceNode.generated.h"

UCLASS(Blueprintable)
class UDialogueChoiceNode : public UGenericGraphNode
{
	GENERATED_BODY()

public:
	UDialogueChoiceNode();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	TArray<FString> Choices;

#if WITH_EDITOR
	virtual FText GetNodeTitle() const override;
	virtual FLinearColor GetBackgroundColor() const override;
#endif
};
